package kr.co.icontrols.iotplatform.Protocol;

public class bleProtocolState {

    public static final int PROVISIONING_BLE_CONNECTED          = 11;
    public static final int PROVISIONING_BLE_DISCONNECTED       = 12;
    public static final int PROVISIONING_LIST_NETWORK_SUCCESS   = 13;
    public static final int PROVISIONING_LIST_NETWORK_FAIL      = 14;
    public static final int PROVISIONING_SAVE_NETWORK_SUCCESS   = 15;
    public static final int PROVISIONING_SAVE_NETWORK_FAIL      = 16;

    public static final int ON_BOARDING_BLE_CONNECTED           = 20;
    public static final int ON_BOARDING_BLE_DISCONNECTED        = 21;
    public static final int ON_BOARDING_BLE_NOT_CONNECTED       = 22;
    public static final int ON_BOARDING_REQUEST                 = 23;
    public static final int ON_BOARDING_GET_REQUEST_SUCCESS     = 24;
    public static final int ON_BOARDING_GET_REQUEST_FAIL        = 25;
    public static final int ON_BOARDING_GET_ID_DATA             = 26;
    public static final int ON_BOARDING_GET_ID_DATA_ERROR       = 27;
    public static final int ON_BOARDING_SUCCESS                 = 28;
    public static final int ON_BOARDING_TIMEOUT                 = 29;
    public static final int ON_BOARDING_FAIL                    = 30;

    public static final int BLUETOOTH_CONNECTED                 = 31;
    public static final int BLUETOOTH_DISCONNECTED              = 32;
    public static final int BLUETOOTH_NOT_CONNECTED             = 33;
    public static final int BLUETOOTH_WRITE_CHARACTERISTIC      = 34;
    public static final int BLUETOOTH_WRITE_DESCRIPTOR          = 35;
    public static final int BLUETOOTH_GET_NOTIFICATION          = 36;
    public static final int BLUETOOTH_GET_NOTIFICATION_FAIL     = 37;

    public static final int BLINK_AND_BUZZER_PROTOCOL_SUCCESS   = 41;
    public static final int BLINK_AND_BUZZER_PROTOCOL_FAIL      = 42;

    public static final int FACTORY_RESET_PROTOCOL_SUCCESS      = 54;
    public static final int FACTORY_RESET_PROTOCOL_FAIL         = 55;
    public static final int FACTORY_RESET_PROTOCOL_TIMEOUT      = 56;

    public static final int SCAN_RESULT_PROTOCOL_SUCCESS        = 61;
    public static final int SCAN_RESULT_PROTOCOL_FAIL           = 62;

    public static final int GROUPING_PROTOCOL_SUCCESS           = 71;
    public static final int GROUPING_PROTOCOL_FAIL              = 72;

    public static final int REQUEST_PROTOCOL_SUCCESS            = 81;
    public static final int REQUEST_PROTOCOL_FAIL               = 82;

    public static final int USER_REGISTER_REQUEST_SUCCESS       = 90;
    public static final int USER_REGISTER_REQUEST_FAIL          = 91;
    public static final int USER_REGISTER_REQUEST_TIMEOUT       = 92;
    public static final int USER_REGISTER_COMPLETE_SUCCESS      = 93;
    public static final int USER_REGISTER_COMPLETE_FAIL         = 94;
    public static final int USER_REGISTER_FAIL                  = 95;
    public static final int USER_REGISTER_END                   = 96;
    public static final int USER_AWS_PROVISION_REQUEST          = 97;
    public static final int USER_AWS_PROVISION_SUCCESS          = 98;
    public static final int USER_MAPPING_READY_REQUEST_SUCCESS  = 99;
    public static final int USER_MAPPING_READY_REQUEST_FAIL     = 100;
    public static final int USER_MAPPING_READY_TIMEOUT          = 101;
    public static final int USER_MAPPING_READY_RESPONSE         = 102;
    public static final int USER_MAPPING_READY_COMPLETE         = 103;

    public static final int HDC_ICON_LIGHT_REGISTER_SUCCESS     = 111;
    public static final int HDC_ICON_SWITCH_REGISTER_SUCCESS    = 112;

    public static final int HDC_ICON_LS_VERSION_CHECK_SUCCESS   = 121;
    public static final int HDC_ICON_LM_VERSION_CHECK_SUCCESS   = 122;
    public static final int HDC_GATT_CONNECT				  	= 123;


    public static final int DELAY_ONE_SEC       			  	= 150;

    public static final int RSP_BLINK_PROTOCOL_SUCCESS          = 900;
    public static final int RSP_BLINK_PROTOCOL_FAIL             = 901;
    public static final int RSP_BLINK_PROTOCOL_TIMEOUT          = 902;
    public static final int RSP_USER_REGISTER_GET_ID_DATA       = 903;
    public static final int REQ_REGISTER_DEVICE_ID              = 904;
    public static final int RSP_BUZZER_PROTOCOL_SUCCESS         = 905;
    public static final int RSP_BUZZER_PROTOCOL_FAIL            = 906;
    public static final int RSP_BUZZER_PROTOCOL_TIMEOUT         = 907;
    public static final int RSP_GROUP_SWITCH_SUCCESS            = 908;
    public static final int RSP_GROUP_SWITCH_FAIL               = 909;
    public static final int RSP_GROUP_SWITCH_TIMEOUT            = 910;
    public static final int RSP_GROUP_LIGHT_SUCCESS             = 911;
    public static final int RSP_GROUP_LIGHT_FAIL                = 912;
    public static final int RSP_GROUP_LIGHT_TIMEOUT             = 913;
    public static final int RSP_GROUP_END                       = 914;
    public static final int RSP_INIT_GROUP_SWITCH_SUCCES        = 915;
    public static final int RSP_INIT_GROUP_SWITCH_FAIL          = 916;
    public static final int RSP_INIT_GROUP_SWITCH_TIMEOUT       = 917;
    public static final int RSP_INIT_GROUP_LIGHT_SUCCES         = 918;
    public static final int RSP_INIT_GROUP_LIGHT_FAIL           = 919;
    public static final int RSP_INIT_GROUP_LIGHT_TIMEOUT        = 920;
    public static final int RSP_GET_WIFI_STATUS_SUCCESS         = 921;
    public static final int RSP_GET_WIFI_STATUS_FAIL            = 922;
    public static final int RSP_GET_WIFI_STATUS_TIMEOUT         = 923;
    public static final int RSP_INIT_GROUP_SWITCH_FAIL_OVER_LIGHT = 924;
}

