package kr.co.icontrols.iotplatform.utils;

public class Constants {

    public static final int RESULT_CHECK_VERSION = 1000;
    public static final int RESULT_PERMISSION_AGREE = 1001;
    public static final int RESULT_INIT_APP_CONFIRM = 1002;
    public static final int RESULT_LOGOUT_SUCCESS = 1003;
    public static final int RESULT_FORGOT_PASSWORD_CODE = 1004;
    public static final int RESULT_SIGN_UP = 1005;
    public static final int RESULT_CONFIRM_SIGN_UP = 1006;
    public static final int RESULT_NEW_PASSWORD = 1007;
    public static final int RESULT_CHOOSE_MFA = 1008;
    public static final int RESULT_MFA = 1009;
    public static final int RESULT_LAUNCH_USER = 1010;
    public static final int RESULT_GOOGE_GET_AUTH_CODE = 1011;
    public static final int RESULT_RETRY_SCAN_DEVICE = 1012;
    public static final int RESULT_RETRY_BUT_NO_DEVICE =  1013;
    public static final int RESULT_CONFIRM_SEND_INVITE_MSG = 1014;
    public static final int RESULT_INPUT_GROUP_NAME = 1015;
    public static final int RESULT_CHANGE_GROUP_IMG = 1016;
    public static final int RESULT_CAPTURE_PICTURE = 1017;
    public static final int RESULT_SELECTED_PICTURE = 1018;
    public static final int RESULT_CONFIRM_DELETE_MEMBER = 1019;
    public static final int RESULT_LIGHT_BLINK_SUCCESS = 1020;
    public static final int RESULT_SWITCH_MAPPER_BUZZER_SUCCESS = 1021;
    public static final int RESULT_INPUT_NICKNAME = 1022;
    public static final int RESULT_INPUT_HP = 1023;
    public static final int RESULT_SIGN_OUT_CONFIRM = 1024;
    public static final int RESULT_INVITE_CONFIRM = 1025;
    public static final int RESULT_ADD_HOME_CONFIRM = 1026;
    public static final int RESULT_INPUT_AP_PASS = 1027;
    public static final int RESULT_INPUT_DEVICE_NAME = 1028;
    public static final int RESULT_UPDATE_DATA = 1029;
    public static final int RESULT_RESEND_CONFIRM = 1030;
    public static final int RESULT_ENABLE_BT_MAIN = 1031;
    public static final int RESULT_CHANGE_JAESIL_TIME = 1032;
    public static final int RESULT_INIT_DEVICE_CONFIRM =  1033;
    public static final int RESULT_CALL_CENTER = 1034;
    public static final int RESULT_RETRY_MAPPING_DEVICE = 1035;
    public static final int RESULT_ADD_GROUP = 1036;

    public static final String COGNITO_NICKNAME = "Nick name";
    public static final String COGNITO_EMAIL = "Email";
    public static final String COGNITO_EMAIL_VERIFIED = "Email verified";
    public static final String COGNITO_PHONENUMBER = "Phone number";
    public static final String COGNITO_PHONENUMBER_VERIFIED = "Phone number verified";
    public static final String COGNITO_UID = "Uid";
    public static final String COGNITO_PROFILE = "Profile";
    public static final String COGNITO_CONFIRMED = "Confirmed";
    public static final String COGNITO_PUSH_ACCESS = "Push access";
    public static final String COGNITO_AUTO_UPDATE = "Auto update";
    public static final String COGNITO_INVITED = "Invited";

    public static final String COGNITO_FIELD_NICKNAME = "nickname";
    public static final String COGNITO_FIELD_EMAIL = "email";
    public static final String COGNITO_FIELD_EMAIL_VERIFIED = "email_verified";
    public static final String COGNITO_FIELD_PHONENUMBER = "phone_number";
    public static final String COGNITO_FIELD_PHONENUMBER_VERIFIED = "phone_number_verified";
    public static final String COGNITO_FIELD_UID = "uid";
    public static final String COGNITO_FIELD_PROFILE = "profile";
    public static final String COGNITO_FIELD_CONFIRMED = "confirmed";
    public static final String COGNITO_FIELD_PUSH_ACCESS = "push_access";
    public static final String COGNITO_FIELD_AUTO_UPDATE = "auto_update";
    public static final String COGNITO_FIELD_INVITED = "invited";

    public static final int RSSI_LEVEL_3 = -60;
    public static final int RSSI_LEVEL_2 = -70;
    public static final int RSSI_LEVEL_1 = -80;
    public static final int RSSI_LEVEL_0 = -90;

    public static final String EXTRA_GROUP_LIST = "EXTRA_GROUP_LIST";
    public static final String EXTRA_DEVICE_LIST = "EXTRA_DEVICE_LIST";
    public static final String EXTRA_DEVICE_INFO = "EXTRA_DEVICE_INFO";
    public static final String EXTRA_GROUP_ID = "EXTRA_GROUP_ID";
    public static final String EXTRA_DEVICE_ID = "EXTRA_DEVICE_ID";
    public static final String EXTRA_GROUP_NAME = "EXTRA_GROUP_NAME";
    public static final String EXTRA_DEVICE_NAME = "EXTRA_DEVICE_NAME";
    public static final String EXTRA_BEFORE_ACTIVITY = "EXTRA_BEFORE_ACTIVITY";

    public static final int DEFUALT_GROUP_INDEX = 0; //기본그룹

    public static final int GROUP_01 = 1;
    public static final int GROUP_02 = 2;
    public static final int GROUP_03 = 3;
    public static final int GROUP_04 = 4;
    public static final int GROUP_05 = 5;
    public static final int GROUP_06 = 6;
    public static final int GROUP_07 = 7;
    public static final int GROUP_08 = 8;
    public static final int GROUP_09 = 9;

    public static final String GROUP_IMG_00_STRING = "00";
    public static final String GROUP_IMG_01_STRING = "01";
    public static final String GROUP_IMG_02_STRING = "02";
    public static final String GROUP_IMG_03_STRING = "03";
    public static final String GROUP_IMG_04_STRING = "04";
    public static final String GROUP_IMG_05_STRING = "05";
    public static final String GROUP_IMG_06_STRING = "06";
    public static final String GROUP_IMG_07_STRING = "07";
    public static final String GROUP_IMG_08_STRING = "08";
    public static final String GROUP_IMG_09_STRING = "09";

    public static final String GROUP_BACKGROUND_00_STRING = "00";
    public static final String GROUP_BACKGROUND_01_STRING = "01";
    public static final String GROUP_BACKGROUND_02_STRING = "02";
    public static final String GROUP_BACKGROUND_03_STRING = "03";
    public static final String GROUP_BACKGROUND_04_STRING = "04";
    public static final String GROUP_BACKGROUND_05_STRING = "05";
    public static final String GROUP_BACKGROUND_06_STRING = "06";
    public static final String GROUP_BACKGROUND_07_STRING = "07";
    public static final String GROUP_BACKGROUND_08_STRING = "08";
    public static final String GROUP_BACKGROUND_09_STRING = "09";

    public static final int DEFAULT_RANK = 999;

    //Device Power status
    public static final int NOTING = -1;
    public static final int NOT_CONNECTED = -1;
    public static final int POWER_ON = 1;
    public static final int POWER_OFF = 0;

    public static final int GROUP_LIST_COUNT_LINE = 4;

    public static final long MQTT_PUBLISH_DELAY_TIME = 70;
}
